Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Graphics
Class GConnect

    java.lang.Object
      SEdit.Graphics.GObject
          SEdit.Graphics.GConnect

Direct Known Subclasses:
  GInConnect, GOutConnect

    public abstract class GConnect

extends GObject

classe abstraite correspondant � la repr�sentation graphique des connecteurs des composants (et des modules)

See Also:
  `SConnect`, `GInConnect`, `GOutConnect`

Field Summary
`protected java.awt.Color` | `fillColor`
`protected static int` | `r`

Fields inherited from class SEdit.Graphics.GObject
`BOTTOM, bounds, CENTER, displayLabel, element, height, labelLocation, LEFT, RIGHT, selected, TOP, TOP_RIGHT, width, x, y`

Constructor Summary
`GConnect()`

Method Summary
`void` | `computeDir(GObject g)`
`boolean` | `contains(java.awt.Point p)`
`void` | `displayName(java.awt.Graphics g)`
`static int` | `getRadius()`
`java.awt.Point` | `intersection(java.awt.Point p)`
`void` | `paint(java.awt.Graphics g)`
`void` | `setDir(int d)`
`void` | `snapToGrid(int s)`

Methods inherited from class SEdit.Graphics.GObject
`alignHorizontalTo, alignVerticalTo, delete, drag, getBounds, getCenter, getDimension, getDisplayLabel, getEditor, getForeground, getHeight, getLabelLocation, getLocation, getRectangle, getSElement, getWidth, init, intersection, isContainedIn, isContainedIn, isSelectable, isSelected, reInstall, select, setCenter, setCenter, setDimension, setDisplayLabel, setEditor, setForeground, setHeight, setLabelLocation, setLocation, setLocation, setSElement, setSize, setWidth, translate, translateBound, translateWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### r

    protected static int r

### fillColor

    protected java.awt.Color fillColor

Constructor Detail

### GConnect

    public GConnect()

Method Detail

### getRadius

    public static int getRadius()

### setDir

    public void setDir(int d)

### contains

    public boolean contains(java.awt.Point p)

  Overrides:
    `contains` in class `GObject`

### intersection

    public java.awt.Point intersection(java.awt.Point p)

  Overrides:
    `intersection` in class `GObject`

### snapToGrid

    public void snapToGrid(int s)

  Overrides:
    `snapToGrid` in class `GObject`

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    `paint` in class `GObject`

### computeDir

    public void computeDir(GObject g)

### displayName

    public void displayName(java.awt.Graphics g)

  Overrides:
    `displayName` in class `GObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.